# Ds\Vector::find

(PECL ds >= 1.0.0)

Ds\Vector::find — Essaye de trouver l'index d'une valeur

### Description

public Ds\Vector::find(mixed `$value`): mixed

Renvoie l'index de la `valeur`, ou `false` si non trouvée.

### Liste de paramètres

`value`

  La valeur à trouver.

### Valeurs de retour

L'index de la valeur, ou `false` si non trouvée.

> Note:

> Les valeurs seront comparées par valeur et par type.

### Exemples

Exemple #1 Exemple de Ds\Vector::find()

`<?php
$vector = new \Ds\Vector(["a", 1, true]);
var_dump($vector->find("a")); // 0
var_dump($vector->find("b")); // false
var_dump($vector->find("1")); // false
var_dump($vector->find(1)); // 1
?>`

Résultat de l'exemple ci-dessus est similaire à :

    int(0)
    bool(false)
    bool(false)
    int(1)